org.apache.poi.hslf.usermodel

## Class HSLFObjectData

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFObjectData

- All Implemented Interfaces:
    GenericRecord, ObjectData

      public class HSLFObjectData
      extends java.lang.Object
      implements ObjectData, GenericRecord

  A class that represents object data embedded in a slide show.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSLFObjectData(ExOleObjStg storage)` Creates the object data wrapping the record that contains the object data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExOleObjStg` | `getExOleObjStg()` Return the record that contains the object data.
    `java.lang.String` | `getFileName()`
    `java.util.List<? extends GenericRecord>` | `getGenericChildren()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `java.io.InputStream` | `getInputStream()` Gets an input stream which returns the binary of the embedded data.
    `java.lang.String` | `getOLE2ClassName()`
    `java.io.OutputStream` | `getOutputStream()`
    `void` | `setData(byte[] data)` Sets the embedded data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ObjectData

      `getBytes, getDirectory, hasDirectoryEntry`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericRecordType`

- - ### Constructor Detail

    - #### HSLFObjectData

          public HSLFObjectData(ExOleObjStg storage)

      Creates the object data wrapping the record that contains the object data.
      Parameters:
        `storage` - the record that contains the object data.

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream()

      Description copied from interface: `ObjectData`
      Gets an input stream which returns the binary of the embedded data.
      Specified by:
        `getInputStream` in interface `ObjectData`
      Returns:
        the input stream which will contain the binary of the embedded data.

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()
                                               throws java.io.IOException

      Specified by:
        `getOutputStream` in interface `ObjectData`
      Returns:
        the object data as stream (for writing)
      Throws:
        `java.io.IOException`

    - #### setData

          public void setData(byte[] data)
                       throws java.io.IOException

      Sets the embedded data.
      Parameters:
        `data` - the embedded data.
      Throws:
        `java.io.IOException`

    - #### getExOleObjStg

          public ExOleObjStg getExOleObjStg()

      Return the record that contains the object data.
      Returns:
        the record that contains the object data.

    - #### getOLE2ClassName

          public java.lang.String getOLE2ClassName()

      Specified by:
        `getOLE2ClassName` in interface `ObjectData`
      Returns:
        the OLE2 Class Name of the object

    - #### getFileName

          public java.lang.String getFileName()

      Specified by:
        `getFileName` in interface `ObjectData`
      Returns:
        a filename suggestion - inspecting/interpreting the Directory object probably gives a better result

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

    - #### getGenericChildren

          public java.util.List<? extends GenericRecord> getGenericChildren()

      Specified by:
        `getGenericChildren` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.